
.results-section {
    background: linear-gradient(rgba(97, 138, 118, 0.4),
            rgba(102, 112, 115, 0.4)),
        url('../../img/exam/result-bg.jpg') no-repeat center center;
    background-size: cover;
    color: rgb(255, 255, 255);
    padding: 60px 20px;
    text-align: center;
    overflow: hidden;
    margin-bottom: 60px;
    min-height: 650px; /* or any appropriate value */
}


.results-section::before {
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* optional dark overlay */
    backdrop-filter: blur(4px);
    /* blur the background */
    z-index: 0;
}

.results-content {

    z-index: 1;
    max-width: 900px;
    margin: auto;
    padding: 80px 80px;
    background: rgba(255, 255, 255, 0.03);
    /* near full transparency */
    border-radius: 16px;
    backdrop-filter: blur(12px) saturate(180%);
    -webkit-backdrop-filter: blur(12px) saturate(180%);
    color: #ffffff;
}

.results-content h2 {
    font-size: 36px;
    margin-bottom: 20px;
    color: #06a3da;
}

.results-content p {
    font-size: 18px;
}

.result-boxes {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    margin-top: 30px;
}

@media (min-width: 768px) {
.result-boxes {
flex-wrap: nowrap;
}
}

.result-card {
    background-color: #33664d;
    border: 2px solid #06a3da;
    padding: 20px 30px;
    border-radius: 12px;
    width: 250px;
    transition: transform 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.result-card:hover {
    transform: translateY(-5px);
    background-color: #06a3da;
    color: #fff;
}

.result-card h3 {
    margin: 0;
    font-size: 22px;
}

.result-card a {
    display: inline-block;
    margin-top: 10px;
    color: #fff;
    text-decoration: underline;
    font-weight: bold;
}
